/**
 * @class PollerNode
 * @extends Trees.RemoteModulesTree.CollectorNode
 * @memberof Trees.RemoteModulesTree
 */
function PollerNode() {
    /**
     * #### Запускает процесс дискаверинга по ICMP протоколу.
     *
     * __ _parameters - имеет следующую структуру__
     *      - period            {@link TimeDiff}
     *      - ip_string         {@link v2.string String}
     *      - retry_timeout     {@link TimeDiff}
     *      - parent_addr       {@link v2.address Address}
     *      - delay_start       {@link TimeDiff}
     *      - infinite          {@link v2.boolean Boolean}
     *      - max_retry_count   {@link TimeDiff}
     *      - force_rediscovery {@link v2.boolean Boolean}
     *      - profiles          {@link v2.list<v2.integer>}
     *      - create_pingable   {@link v2.boolean Boolean}
     *
     * @public
     * @function discovery_by_icmp
     * @param {v2.vc} _parameters
     * @memberof Trees.RemoteModulesTree.PollerNode
     */
    this.discovery_by_icmp = function (_parameters) {

    };

    /**
     * #### Запускает процесс дискаверинга по SNMP протоколу.
     *
     * __ _parameters - имеет следующую структуру__
     *      - period            {@link TimeDiff}
     *      - ip_string         {@link v2.string String}
     *      - retry_timeout     {@link TimeDiff}
     *      - parent_addr       {@link v2.address Address}
     *      - delay_start       {@link TimeDiff}
     *      - infinite          {@link v2.boolean Boolean}
     *      - max_retry_count   {@link TimeDiff}
     *      - force_rediscovery {@link v2.boolean Boolean}
     *      - profiles          {@link v2.list<v2.integer>}
     *      - create_pingable   {@link v2.boolean Boolean}
     *
     * @public
     * @function discovery_by_snmp
     * @param {v2.vc} _parameters
     * @memberof Trees.RemoteModulesTree.PollerNode
     */
    this.discovery_by_snmp = function (_parameters) {

    };

    /**
     * #### Запрос паблишера.
     *
     * @public
     * @function get_publisher
     * @param {v2.address} _address
     * @memberof Trees.RemoteModulesTree.PollerNode
     */
    this.get_publisher = function (_address) {

    };

    /**
     * #### Запрос паблишера "discovery"
     *
     * @public
     * @function discovery_results
     * @memberof Trees.RemoteModulesTree.PollerNode
     */
    this.discovery_results = function () {

    };


}